import request from '@/utils/request'

// 查询个人页 图片列表
export function listPersonalImg(query) {
  return request({
    url: '/system/personal/img/list',
    method: 'get',
    params: query
  })
}
// 查询个人页 图片列表
export function allPersonalImg(query) {
  return request({
    url: '/system/personal/img/all',
    method: 'get',
    params: query
  })
}

// 查询个人页 图片详细
export function getPersonalImg(id) {
  return request({
    url: '/system/personal/img/' + id,
    method: 'get'
  })
}

// 新增个人页 图片
export function addPersonalImg(data) {
  return request({
    url: '/system/personal/img',
    method: 'post',
    data: data
  })
}

// 修改个人页 图片
export function updatePersonalImg(data) {
  return request({
    url: '/system/personal/img',
    method: 'put',
    data: data
  })
}

// 删除个人页 图片
export function delPersonalImg(id) {
  return request({
    url: '/system/personal/img/' + id,
    method: 'delete'
  })
}

// 导出个人页 图片
export function exportPersonalImg(query) {
  return request({
    url: '/system/personal/img/export',
    method: 'get',
    params: query
  })
}


// 上传图片 
export function uploadFile(data) {
  return request({
    url: '/system/personal/img/upload',
    method: 'post',
    data: data
  })
}